GNU bug report logs - #42537
28.0.50; wdired-test-bug34915 test failing on macOS

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Philipp <p.stephani2@HIDDEN>; Keywords: fixed; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug marked as fixed in version 28.1, send any further explanations to 42537 <at> debbugs.gnu.org and Philipp <p.stephani2@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) fixed. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 42537 <at> debbugs.gnu.org:


Received: (at 42537) by debbugs.gnu.org; 4 Aug 2020 13:57:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 04 09:57:50 2020
Received: from localhost ([127.0.0.1]:48699 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k2xRu-0001FC-5V
	for submit <at> debbugs.gnu.org; Tue, 04 Aug 2020 09:57:50 -0400
Received: from quimby.gnus.org ([95.216.78.240]:57012)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1k2xRs-0001Ey-4d
 for 42537 <at> debbugs.gnu.org; Tue, 04 Aug 2020 09:57:48 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=5YnixlIBqk6PiPGOUb2iYVqSi20Aw3pZdfwi0nRtr8g=; b=qE9lvBvi57zmfyTg64UGXv4wem
 LEYv2d7tak6eJJHubBenE8DDuByExxRQ/5FZkzQHZh7Nnhlvbc4/69sLpNjPEJXYvsZ/EJHRUBVAw
 8B4uKT0REn/061qEgNxCh9uKG6w7kegK4XefiQ6v+jEEMhsNU43Xz6sGaCE9DO0ed6dU=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1k2xRe-0008NN-L1; Tue, 04 Aug 2020 15:57:41 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Robert Pluim <rpluim@HIDDEN>
Subject: Re: bug#42537: 28.0.50; wdired-test-bug34915 test failing on macOS
References: <m2365f301z.fsf@HIDDEN> <875z9ypp6a.fsf@HIDDEN>
 <m2v9hy8rze.fsf@HIDDEN> <87pn86o7sh.fsf@HIDDEN>
 <87k0yeo78o.fsf@HIDDEN>
Date: Tue, 04 Aug 2020 15:57:33 +0200
In-Reply-To: <87k0yeo78o.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Tue,
 04 Aug 2020 15:44:55 +0200")
Message-ID: <87ft92o6nm.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Lars Ingebrigtsen <larsi@HIDDEN> writes: > Lars
 Ingebrigtsen
 <larsi@HIDDEN> writes: > >> There seems to be further bugs with
 dired-ls-F-marks-symlinks
 -- it >> doesn't work when in editing mode... > > The bug is in
 wdired--restore-dired-fi [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42537
Cc: Philipp <p.stephani2@HIDDEN>, 42537 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> Lars Ingebrigtsen <larsi@HIDDEN> writes:
>
>> There seems to be further bugs with dired-ls-F-marks-symlinks  -- it
>> doesn't work when in editing mode...
>
> The bug is in wdired--restore-dired-filename-prop, which calculates the
> end of the file name wrong in this case.

OK; think I've got it now...

I really dislike how dired (and wdired) works -- it's just hack upon
hack...

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42537; Package emacs. Full text available.

Message received at 42537 <at> debbugs.gnu.org:


Received: (at 42537) by debbugs.gnu.org; 4 Aug 2020 13:45:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 04 09:45:11 2020
Received: from localhost ([127.0.0.1]:47273 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k2xFf-0000Ym-57
	for submit <at> debbugs.gnu.org; Tue, 04 Aug 2020 09:45:11 -0400
Received: from quimby.gnus.org ([95.216.78.240]:56944)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1k2xFd-0000YY-VD
 for 42537 <at> debbugs.gnu.org; Tue, 04 Aug 2020 09:45:10 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=QiGp6a5tbttiNM3il35zP/3eYoXRL8G2c7PNSCBibUI=; b=hzmeICNW7erKcBVHBsKVgYwLmb
 OpccgJxg/xmtfKzBrOtiY8GhA3FVLeWW45zgszbQK4cMTfgqcb/XPBaXwkCZuihtHRbSOcvmxblRc
 vYekfvIsFvvs8P26Hgt6ymGl4a8ETEdpCWx7Fn0XCteG/crthyEJV5HqTQbC8HpfUKvs=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1k2xFQ-0008Ic-PE; Tue, 04 Aug 2020 15:45:04 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Robert Pluim <rpluim@HIDDEN>
Subject: Re: bug#42537: 28.0.50; wdired-test-bug34915 test failing on macOS
References: <m2365f301z.fsf@HIDDEN> <875z9ypp6a.fsf@HIDDEN>
 <m2v9hy8rze.fsf@HIDDEN> <87pn86o7sh.fsf@HIDDEN>
Date: Tue, 04 Aug 2020 15:44:55 +0200
In-Reply-To: <87pn86o7sh.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Tue,
 04 Aug 2020 15:33:02 +0200")
Message-ID: <87k0yeo78o.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Lars Ingebrigtsen <larsi@HIDDEN> writes: > There seems to
 be further bugs with dired-ls-F-marks-symlinks -- it > doesn't work when
 in editing mode... The bug is in wdired--restore-dired-filename-prop, which
 calculates the end of the file name wrong in this case. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42537
Cc: Philipp <p.stephani2@HIDDEN>, 42537 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> There seems to be further bugs with dired-ls-F-marks-symlinks  -- it
> doesn't work when in editing mode...

The bug is in wdired--restore-dired-filename-prop, which calculates the
end of the file name wrong in this case.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42537; Package emacs. Full text available.
Removed tag(s) fixed. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
bug No longer marked as fixed in versions 28.1 and reopened. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.

Message received at 42537 <at> debbugs.gnu.org:


Received: (at 42537) by debbugs.gnu.org; 4 Aug 2020 13:33:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 04 09:33:15 2020
Received: from localhost ([127.0.0.1]:47264 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k2x46-0000G5-TF
	for submit <at> debbugs.gnu.org; Tue, 04 Aug 2020 09:33:15 -0400
Received: from quimby.gnus.org ([95.216.78.240]:56450)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1k2x44-0000Fs-Ts
 for 42537 <at> debbugs.gnu.org; Tue, 04 Aug 2020 09:33:13 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Transfer-Encoding:Content-Type:MIME-Version:Message-ID
 :In-Reply-To:Date:References:Subject:Cc:To:From:Sender:Reply-To:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=RZ6nf9sWv95ESv85apEvVQS7uZmX2jY51gPzKZ4nXt8=; b=sTaFd/jHapPh3xHkNpnNlE6ncl
 SH1Ztpyei7WCyC4NVs+zP69st/YhopG3NvaXE9IWR6JWSuV6QGXOZHtFa1A2dc2gxGo5HdSqf6hMR
 HYhAdUdrtQSUHGWxK7AB5YUkpRYcNOUIAWou0b7u8FjoJ61gmYK1AB1AYcgLHtmsAyJA=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1k2x3v-000881-SB; Tue, 04 Aug 2020 15:33:06 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Robert Pluim <rpluim@HIDDEN>
Subject: Re: bug#42537: 28.0.50; wdired-test-bug34915 test failing on macOS
References: <m2365f301z.fsf@HIDDEN> <875z9ypp6a.fsf@HIDDEN>
 <m2v9hy8rze.fsf@HIDDEN>
Date: Tue, 04 Aug 2020 15:33:02 +0200
In-Reply-To: <m2v9hy8rze.fsf@HIDDEN> (Robert Pluim's message of "Tue, 04
 Aug 2020 15:23:33 +0200")
Message-ID: <87pn86o7sh.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 
 Content preview:  Robert Pluim <rpluim@HIDDEN> writes: > Ah, this explains
    why the test wasn╩╝t failing for me: I installed GNU > ls :-) And I didn't
    quite fix it, either... I thought I did, but because of that defun/ert-deftest
    thing, I didn't actually check it. 
 
 Content analysis details:   (-2.9 points, 5.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
                             [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42537
Cc: Philipp <p.stephani2@HIDDEN>, 42537 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Robert Pluim <rpluim@HIDDEN> writes:

> Ah, this explains why the test wasn=CA=BCt failing for me: I installed GNU
> ls :-)

And I didn't quite fix it, either...  I thought I did, but because of
that defun/ert-deftest thing, I didn't actually check it.

There seems to be further bugs with dired-ls-F-marks-symlinks  -- it
doesn't work when in editing mode...

--=20
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42537; Package emacs. Full text available.

Message received at 42537 <at> debbugs.gnu.org:


Received: (at 42537) by debbugs.gnu.org; 4 Aug 2020 13:23:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 04 09:23:48 2020
Received: from localhost ([127.0.0.1]:47255 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k2wux-0008Te-Om
	for submit <at> debbugs.gnu.org; Tue, 04 Aug 2020 09:23:48 -0400
Received: from mail-wm1-f51.google.com ([209.85.128.51]:52074)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1k2wut-0008TO-26
 for 42537 <at> debbugs.gnu.org; Tue, 04 Aug 2020 09:23:47 -0400
Received: by mail-wm1-f51.google.com with SMTP id p14so2671350wmg.1
 for <42537 <at> debbugs.gnu.org>; Tue, 04 Aug 2020 06:23:43 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :mime-version:content-transfer-encoding;
 bh=MtQzccpAwFM0YO7QscQLdhdBIlZJxb48lwqEoSRkSgw=;
 b=MT3i1jiW7rZsGxtBdWqr8j/ZlWhfPpUrlNkXd/MGTintUcOc6z+wratw2jdSR0bL95
 85I3y9WoajyCji1mQfwOx9hHMJZxtqfpgCmwe/OWdW/gIENwtnpobYpYUc9d3LvjZq/d
 Feyc9NTcuyTkO/XlvvCPTp9wBltL8Ud6BdKLSxZ1q3eu0jRbCdXk824FDBrxrw43KRBH
 44mJrrhFkprNZiDUvjEI/MN/BSPYf7l/wtUIGOO8yAwgBK5z8FolL0IIbr86So+exjAQ
 k7Nwgh6FWYqRlKSMjbP+mCO1zgWiPn+vamyn4tIcpwuVg8GSGaBGqsvnR0Dix9J8MxcV
 /uPg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:mime-version:content-transfer-encoding;
 bh=MtQzccpAwFM0YO7QscQLdhdBIlZJxb48lwqEoSRkSgw=;
 b=cONFIjXvT3pECCmOyF6UkLS6YcW4ts5fV8xlJupZBCJhe7oR6U3gsQwRINSUGZk3Hk
 71UKDKG4cNgGWHyK+Cov26br092523wC+nPETwlSa+DerQ1O9y6ZXIMkSHGW4eKba2NH
 OuPBEQc0ceg9YtEzBWGpqIwXMs+huVlAzMVEJl0U31jB9IpnERzvL0uMGtkZaPgZT0oy
 q5wpSO5IgeQYN2JNAnEyM29U70S0eEA9bVp25YEW8uLZu+MTyZyNthVSbAH0T9/J4MNi
 ZwsCedgLrR1a0mH90OBcXeikIHVCE0BehOedRA9kpGv3wOuhGsOdxBW4m0+LPlZ0auXR
 l1UA==
X-Gm-Message-State: AOAM533jcyRrZBCWc8kixC/GbfjLfhWBMtMvSzYVz8d1Hy7EPSqQZZdl
 WHOUe67SFr8D/za4qWZipQJA8vxWl9g=
X-Google-Smtp-Source: ABdhPJwX2NDaQebFg4bbuzscvnPzaGqQN7wuo1fRfMa4S1JfCELiyggoDA4Ey5AYOVHecjbfVOH/3w==
X-Received: by 2002:a1c:a78a:: with SMTP id q132mr4036201wme.27.1596547416506; 
 Tue, 04 Aug 2020 06:23:36 -0700 (PDT)
Received: from rpluim-mac (vav06-1-78-207-202-134.fbx.proxad.net.
 [78.207.202.134])
 by smtp.gmail.com with ESMTPSA id g188sm5204206wma.5.2020.08.04.06.23.35
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 04 Aug 2020 06:23:35 -0700 (PDT)
From: Robert Pluim <rpluim@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#42537: 28.0.50; wdired-test-bug34915 test failing on macOS
References: <m2365f301z.fsf@HIDDEN> <875z9ypp6a.fsf@HIDDEN>
Date: Tue, 04 Aug 2020 15:23:33 +0200
In-Reply-To: <875z9ypp6a.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Tue,
 04 Aug 2020 14:32:13 +0200")
Message-ID: <m2v9hy8rze.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42537
Cc: Philipp <p.stephani2@HIDDEN>, 42537 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> On Tue, 04 Aug 2020 14:32:13 +0200, Lars Ingebrigtsen <larsi@HIDDEN=
> said:
    Lars> ;; 1. For dired to work on a host which marks symlinks with a tra=
iling @ in
    Lars> ;;    an ls -alF listing, you need to (setq dired-ls-F-marks-syml=
inks t).
    Lars> ;;    Most UNIX systems do not do this, but ULTRIX does.

    Lars> And Macos is another:

    Lars> larsi@space /tmp % ls -alF /tmp/
    Lars> total 0
    Lars> drwxrwxrwt  8 root   wheel  256 Aug  4 14:12 ./
    Lars> drwxr-xr-x  6 root   wheel  192 Aug  2 18:53 ../
    Lars> -rw-r--r--  1 larsi  wheel    0 Aug  4 14:09 bar
    Lars> lrwxr-xr-x  1 larsi  wheel    3 Aug  4 14:09 foo@ -> bar
    Lars> lrwxr-xr-x  1 larsi  wheel    3 Aug  4 14:10 foo3@ -> bar
    Lars> lrwxr-xr-x  1 larsi  wheel    3 Aug  4 14:12 foo4@ -> bar

    Lars> OK, I've now adjusted the test and fixed the doc string to
    Lars> dired-ls-F-marks-symlinks in Emacs 28.

Ah, this explains why the test wasn=CA=BCt failing for me: I installed GNU
ls :-)

Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42537; Package emacs. Full text available.
bug marked as fixed in version 28.1, send any further explanations to 42537 <at> debbugs.gnu.org and Philipp <p.stephani2@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) fixed. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 42537 <at> debbugs.gnu.org:


Received: (at 42537) by debbugs.gnu.org; 4 Aug 2020 12:32:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 04 08:32:39 2020
Received: from localhost ([127.0.0.1]:47056 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k2w7T-0002ol-DO
	for submit <at> debbugs.gnu.org; Tue, 04 Aug 2020 08:32:39 -0400
Received: from quimby.gnus.org ([95.216.78.240]:55784)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1k2w7Q-0002oT-9Y
 for 42537 <at> debbugs.gnu.org; Tue, 04 Aug 2020 08:32:37 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=mfHXVOgselj+23ZfqbSmNtTmXuFmeHkhrmORFDlT/Kg=; b=F0cquTMg/szyM4JJUcS1Gqf2hd
 3EtlM6yoNTmuvuplS5MUtqNm0OeRgPU4T8mcpsM6FDIDIuM5OL5EMOt17/jj4kQ/PIG+NrBgFcda3
 btUCZO7rmQ3kYHbESEtc+D6/AIJCGhpDNoFtCkoW16XchhpbbbrpED1WWBEBaOqkjDuo=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1k2w74-0007af-U7; Tue, 04 Aug 2020 14:32:29 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Philipp <p.stephani2@HIDDEN>
Subject: Re: bug#42537: 28.0.50; wdired-test-bug34915 test failing on macOS
References: <m2365f301z.fsf@HIDDEN>
Date: Tue, 04 Aug 2020 14:32:13 +0200
In-Reply-To: <m2365f301z.fsf@HIDDEN> (Philipp's message of "Sat, 25 Jul
 2020 20:46:16 +0200")
Message-ID: <875z9ypp6a.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Philipp <p.stephani2@HIDDEN> writes: > :form > (equal
 "bar@"
 "wbar@") > :value nil :explanation > (arrays-of-different-length 4 5 "bar@"
 "wbar@" first-mismatch-at 0))) > FAILED 3/5 wdired-test-bug34915 (0.353864
 sec) > > (Crystal ball sa [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42537
Cc: 42537 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Philipp <p.stephani2@HIDDEN> writes:

>       :form
>       (equal "bar@" "wbar@")
>       :value nil :explanation
>       (arrays-of-different-length 4 5 "bar@" "wbar@" first-mismatch-at 0)))
>    FAILED  3/5  wdired-test-bug34915 (0.353864 sec)
>
> (Crystal ball says this might be related to macOS filename
> normalization/case-insensitivity.)

There's something very odd going on here.

If I create a file /tmp/bar and then say

(make-symbolic-link "bar" "foo")

I get, as expected

  -rw-r--r--  1 larsi  wheel    0 Aug  4 14:09 bar
  lrwxr-xr-x  1 larsi  wheel    3 Aug  4 14:09 foo -> bar

However, if I do something similar in the test director, dired insists
on adding a "@" to the end of the file name, which messes up everything:
 
  /var/folders/l6/0kf2px5j7tz_wbp9lf_hgfwm0000gn/T/test-dir-iRvcaN:

  -rw-r--r--  1 larsi  staff   1 Aug  4 14:12 zot
  lrwxr-xr-x  1 larsi  staff   3 Aug  4 14:14 zotlink@ -> zot

Uhm...  Oh, that's the entire point of the test.  :-)  "ls -F" adds the
"@".

So the error is a real bug, because

 (dired-get-filename 'no-dir t)
 => "zotlink@"

And that's because dired-ls-F-marks-symlinks is nil...

;; 1. For dired to work on a host which marks symlinks with a trailing @ in
;;    an ls -alF listing, you need to (setq dired-ls-F-marks-symlinks t).
;;    Most UNIX systems do not do this, but ULTRIX does.

And Macos is another:

larsi@space /tmp % ls -alF /tmp/
total 0
drwxrwxrwt  8 root   wheel  256 Aug  4 14:12 ./
drwxr-xr-x  6 root   wheel  192 Aug  2 18:53 ../
-rw-r--r--  1 larsi  wheel    0 Aug  4 14:09 bar
lrwxr-xr-x  1 larsi  wheel    3 Aug  4 14:09 foo@ -> bar
lrwxr-xr-x  1 larsi  wheel    3 Aug  4 14:10 foo3@ -> bar
lrwxr-xr-x  1 larsi  wheel    3 Aug  4 14:12 foo4@ -> bar

OK, I've now adjusted the test and fixed the doc string to
dired-ls-F-marks-symlinks in Emacs 28.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42537; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 25 Jul 2020 18:46:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jul 25 14:46:23 2020
Received: from localhost ([127.0.0.1]:51134 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jzPBf-0000Gl-An
	for submit <at> debbugs.gnu.org; Sat, 25 Jul 2020 14:46:23 -0400
Received: from lists.gnu.org ([209.51.188.17]:47284)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <p.stephani2@HIDDEN>) id 1jzPBd-0000Ge-RW
 for submit <at> debbugs.gnu.org; Sat, 25 Jul 2020 14:46:22 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:34124)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <p.stephani2@HIDDEN>)
 id 1jzPBd-0002PO-JS
 for bug-gnu-emacs@HIDDEN; Sat, 25 Jul 2020 14:46:21 -0400
Received: from mail-ej1-x62a.google.com ([2a00:1450:4864:20::62a]:42338)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <p.stephani2@HIDDEN>)
 id 1jzPBb-0006HY-Pg
 for bug-gnu-emacs@HIDDEN; Sat, 25 Jul 2020 14:46:21 -0400
Received: by mail-ej1-x62a.google.com with SMTP id f12so13127427eja.9
 for <bug-gnu-emacs@HIDDEN>; Sat, 25 Jul 2020 11:46:19 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:subject:date:message-id:mime-version;
 bh=0F9AxldsQ3ehUMrSTdECQb3KnM3EdS43IUvS86Fd7M8=;
 b=skFGiQeKioUtJl2oSo0HHPRUfZV/Bt4grGSbYyW7HYVvZA/ogNxUasyjZvE3HhFfDa
 MAWIQNzC2kpDk3Gq3NDzor+y3rDuA4YSt7aAyQ50DlhCEpKetbcc98NTc0GfxJRfdEy+
 LN7TSwoZc3qN4ZuyBoaoVzEsIYPhHTaFKx3YXtrd93NoqgwM4K3YGRpCg4mjivLK4bpO
 qtiS68/i0OGlDFn2WaqtiMdueQ9tUHEMiiw7upulocq78B5MP6UDY8dgHQ3pklGr6fjh
 x+gvIdTQ5Owl6TH+D4ZY1k/Mcg8jG+3jEE6gvADktD+4o1SpVG4B2Fcq+Oiz2sY9qbP4
 rGvA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:subject:date:message-id:mime-version;
 bh=0F9AxldsQ3ehUMrSTdECQb3KnM3EdS43IUvS86Fd7M8=;
 b=GR9WqXXV7rmkG1khvbPyQ3Ve+HHEimXfx6Eo+u4uyeydpRhY+K+Wu0eHaLf4G84aFA
 nAYO3vNw0zbEO/a4jHfpwOKBxe26Mw/Oa6NB91fxPeCcmbKy5I3Qt7oaxm0ndUc00U+Q
 11nUe9wgC2KmRmsJ94Fj/ivjvqf0UgtBYi+GT4dWyLQa9O2Xxl2pSPQk9T+2aMR5Vrsw
 diwJ+eww6U6o1H2kqpqUy0F1fA/QYAddpqdJj9GIw1bDcJRyaBt3eLGShaDp+1RBwmWk
 NPYO/BjW5k43sIMEEBOyKOfDWth5Gk5IJSh1+RB+CQdJljxBenvQtaajWzy5evqfkhq5
 uk2g==
X-Gm-Message-State: AOAM533Bfzfd5feOhMQQ7zl9UjaNbwFVJ8NVbHYMsKhnXTH68ZTuPtHG
 19peTMAon+s2o8iAbixvjJqTm2Ws
X-Google-Smtp-Source: ABdhPJwgctZjhC1szX7+dnYcJdAir/y1M26U+iIzvYIyjlEUixalzZK9jTbqqLNsTx6g8dokRMTKqA==
X-Received: by 2002:a17:906:8605:: with SMTP id
 o5mr11167633ejx.533.1595702777798; 
 Sat, 25 Jul 2020 11:46:17 -0700 (PDT)
Received: from p (p579977e9.dip0.t-ipconnect.de. [87.153.119.233])
 by smtp.gmail.com with ESMTPSA id b24sm3717025edn.33.2020.07.25.11.46.16
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 25 Jul 2020 11:46:17 -0700 (PDT)
From: Philipp <p.stephani2@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 28.0.50; wdired-test-bug34915 test failing on macOS
Date: Sat, 25 Jul 2020 20:46:16 +0200
Message-ID: <m2365f301z.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
Received-SPF: pass client-ip=2a00:1450:4864:20::62a;
 envelope-from=p.stephani2@HIDDEN; helo=mail-ej1-x62a.google.com
X-detected-operating-system: by eggs.gnu.org: No matching host in p0f cache.
 That's all we know.
X-Spam_score_int: -17
X-Spam_score: -1.8
X-Spam_bar: -
X-Spam_report: (-1.8 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 FREEMAIL_ENVFROM_END_DIGIT=0.25, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 0.8 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.1 (--)


This is yet another follow-up tp bug#30700, reporting each failing test
case individually.

(Shell command succeeded with no output)
Connection file "/var/folders/ks/sxl3n3w51td0ry21j3tjs1wh0000gn/T/test-dir-gPZnuj/server" deleted
Press C-c C-c when finished or C-c ESC to abort changes
1 rename actions failed--type ? for details
Connection file "/var/folders/ks/sxl3n3w51td0ry21j3tjs1wh0000gn/T/test-dir-gPZnuj/server" deleted
Test wdired-test-bug34915 backtrace:
  signal(ert-test-failed (((should (equal dir (pop names))) :form (equ
  ert-fail(((should (equal dir (pop names))) :form (equal "bar@" "wbar
  #f(compiled-function () #<bytecode 0xdfa3f2ccdbd9c18>)()
  ert--run-test-internal(#s(ert--test-execution-info :test #s(ert-test
  ert-run-test(#s(ert-test :name wdired-test-bug34915 :documentation "
  ert-run-or-rerun-test(#s(ert--stats :selector (not (or ... ...)) :te
  ert-run-tests((not (or (tag :expensive-test) (tag :unstable))) #f(co
  ert-run-tests-batch((not (or (tag :expensive-test) (tag :unstable)))
  ert-run-tests-batch-and-exit((not (or (tag :expensive-test) (tag :un
  eval((ert-run-tests-batch-and-exit '(not (or (tag :expensive-test) (
  command-line-1(("-L" ":." "-l" "ert" "-l" "lisp/wdired-tests" "--eva
  command-line()
  normal-top-level()
Test wdired-test-bug34915 condition:
    (ert-test-failed
     ((should
       (equal dir
	      (pop names)))
      :form
      (equal "bar@" "wbar@")
      :value nil :explanation
      (arrays-of-different-length 4 5 "bar@" "wbar@" first-mismatch-at 0)))
   FAILED  3/5  wdired-test-bug34915 (0.353864 sec)

(Crystal ball says this might be related to macOS filename
normalization/case-insensitivity.)


In GNU Emacs 28.0.50 (build 67, x86_64-apple-darwin19.5.0, NS appkit-1894.50 Version 10.15.5 (Build 19F101))
 of 2020-07-25
Repository revision: 3b44829823f43d3736b8ec9db2258eeff7f6c16a
Repository branch: master
Windowing system distributor 'Apple', version 10.3.1894
System Description:  Mac OS X 10.15.5

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.

Configured using:
 'configure --with-modules --without-xml2 --without-pop --with-mailutils
 --enable-gcc-warnings=warn-only --enable-checking=all
 --enable-check-lisp-object-type 'CFLAGS=-ggdb3 -O0''

Configured features:
JPEG TIFF GIF PNG NOTIFY KQUEUE ACL GNUTLS ZLIB TOOLKIT_SCROLL_BARS NS
MODULES THREADS JSON PDUMPER LCMS2

Important settings:
  value of $LANG: de_DE.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message rmc dired dired-loaddefs rfc822
mml easymenu mml-sec epa epg epg-config gnus-util rmail rmail-loaddefs
text-property-search time-date mm-decode mm-bodies mm-encode mail-parse
rfc2231 mailabbrev gmm-utils mailheader sendmail rfc2047 rfc2045
ietf-drums mm-util mail-prsvr mail-utils phst skeleton derived edmacro
kmacro pcase ffap thingatpt url url-proxy url-privacy url-expand
url-methods url-history url-cookie url-domsuf url-util url-parse
auth-source cl-seq eieio eieio-core cl-macs eieio-loaddefs
password-cache json map url-vars mailcap subr-x rx gnutls puny seq
byte-opt gv bytecomp byte-compile cconv dbus xml compile comint
ansi-color ring cl-loaddefs cl-lib tooltip eldoc electric uniquify
ediff-hook vc-hooks lisp-float-type mwheel term/ns-win ns-win
ucs-normalize mule-util term/common-win tool-bar dnd fontset image
regexp-opt fringe tabulated-list replace newcomment text-mode elisp-mode
lisp-mode prog-mode register page tab-bar menu-bar rfn-eshadow isearch
timer select scroll-bar mouse jit-lock font-lock syntax facemenu
font-core term/tty-colors frame minibuffer cl-generic cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese eucjp-ms cp51932 hebrew greek romanian slovak czech european
ethiopic indian cyrillic chinese composite charscript charprop
case-table epa-hook jka-cmpr-hook help simple abbrev obarray
cl-preloaded nadvice loaddefs button faces cus-face macroexp files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote threads kqueue cocoa ns
lcms2 multi-tty make-network-process emacs)

Memory information:
((conses 16 69709 6701)
 (symbols 48 8650 1)
 (strings 32 23543 1226)
 (string-bytes 1 768591)
 (vectors 16 14147)
 (vector-slots 8 172535 9084)
 (floats 8 26 29)
 (intervals 56 206 0)
 (buffers 992 10))




Acknowledgement sent to Philipp <p.stephani2@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#42537; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 4 Aug 2020 14:00:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.